# Using custom fields

Each site that is built on the DevHub platform can be assigned custom field values that can then be used throughout templates and pages.

### Example custom field values

Below is an example of some assigned fields.

```javascript
"custom_fields": {
  "headline_one": "Example headline one",
  "headline_two": "Example headline two"
}
```

## Using custom fields in templates

Using our standard templating language, you can access the Site's custom fields and output them inside templates.

```markup
<h1>{{ site.custom_fields.headline_one }}</h1>
<h2>{{ site.custom_fields.headline_two }}</h2>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devhub.com/themes-and-custom-templates/using-custom-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
